
# -------------------------------------------------------------------------
# FRAMING PAPER - Extremum task  analysis 
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Analysis of the extremum task
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory

source("measures.R")

results <- data.frame(label = character(0), point = numeric(0), ci.lower = numeric(0), ci.upper = numeric(0),type = character(0))

results <- accuracy1Condition(ACCURACY.ABS.VA.Ext,         results)
results <- accuracy1Condition(ACCURACY.SEM.VA.Ext,         results)
results <- accuracy1Condition(ACCURACY.NAR.DM.Ext,         results)
results <- accuracy1Condition(ACCURACY.NAR.VA.Ext,         results)
results <- accuracy1Condition(ACCURACY.NAR.SEM.VA.Ext,     results)

results <- confidence1Condition(CONFIDENCE.ABS.VA.Ext,     results)
results <- confidence1Condition(CONFIDENCE.SEM.VA.Ext,     results)
results <- confidence1Condition(CONFIDENCE.NAR.DM.Ext,     results)
results <- confidence1Condition(CONFIDENCE.NAR.VA.Ext,     results)
results <- confidence1Condition(CONFIDENCE.NAR.SEM.VA.Ext, results)

results <- easiness1Condition(EASINESS.ABS.VA.Ext,         results)
results <- easiness1Condition(EASINESS.SEM.VA.Ext,         results)
results <- easiness1Condition(EASINESS.NAR.DM.Ext,         results)
results <- easiness1Condition(EASINESS.NAR.VA.Ext,         results)
results <- easiness1Condition(EASINESS.NAR.SEM.VA.Ext,     results)

source("plots.R")
plot          <- plotAllCI_extremum(results)
plot
