
# -------------------------------------------------------------------------
# FRAMING PAPER - Planned analysis 
# Author: EVANTHIA DIMARA
# 
# as described here: 
# https://docs.google.com/document/d/1myVkPEPTc7Fgw4ca8rGqcwjtbT7Efxd7BIAjInU8Alo/edit?usp=sharing
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory

source("measures.R")

results <- data.frame(label = character(0), point = numeric(0), ci.lower = numeric(0), ci.upper = numeric(0),type = character(0))

cat("\n1. Does adding minimal semantic help?")
results <- accuracy(ACCURACY.SEM.VA, ACCURACY.ABS.VA, results)
results <- attention(ATTENTION.SEM.VA, ATTENTION.ABS.VA, results)
results <- recall(RECALL.SEM.VA, RECALL.ABS.VA, results)
cat("\n")

cat("\n2. Does adding a narrative help overall?")
results <- accuracy(ACCURACY.NAR, ACCURACY.SEM.VA, results)
results <- attention(ATTENTION.NAR, ATTENTION.SEM.VA, results)
results <- recall(RECALL.NAR, RECALL.SEM.VA, results)
cat("\n")

cat("\n3. Should the question refer to the narrative?")
results <- accuracy(ACCURACY.NAR.SEM.VA, ACCURACY.NAR.VA, results)
results <- attention(ATTENTION.NAR.SEM.VA, ATTENTION.NAR.VA, results)
results <- recall(RECALL.NAR.SEM.VA, RECALL.NAR.VA, results)
cat("\n")

cat("\n3. Is a decision making framing better than an analytical framing?")
results <- accuracy(ACCURACY.NAR.DM, ACCURACY.NAR.VA, results)
results <- accuracy(ACCURACY.NAR.DM.Ext, ACCURACY.NAR.VA.Ext, results)
results <- accuracy(ACCURACY.NAR.DM.Cor, ACCURACY.NAR.VA.Cor, results)
results <- accuracy(ACCURACY.NAR.DM.Com, ACCURACY.NAR.VA.Com, results)
results <- attention(ATTENTION.NAR.DM, ATTENTION.NAR.VA, results)
results <- recall(RECALL.NAR.DM, RECALL.NAR.VA, results)
cat("\n")
 
source("plots.R")
plot   <- plotAllCI2(results)
plot
