
# -------------------------------------------------------------------------
# FRAMING PAPER - User Experience analysis 
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Exploratory Analysis : answering to the planned analyses research questions regarding user experience.
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory

source("measures.R")

results <- data.frame(label = character(0), point = numeric(0), ci.lower = numeric(0), ci.upper = numeric(0),type = character(0))

cat("\n1. Does adding minimal semantic improve user experience?")
results <- confidence(CONFIDENCE.SEM.VA, CONFIDENCE.ABS.VA, results)
results <- easiness(EASINESS.SEM.VA, EASINESS.ABS.VA, results)
results <- enjoyability(ENJOYABILITY.SEM.VA, ENJOYABILITY.ABS.VA, results)
results <- usefulness(USEFULNESS.SEM.VA, USEFULNESS.ABS.VA, results)
cat("\n")

cat("\n2. Does adding a narrative improve user experience?")
results <- confidence(CONFIDENCE.NAR, CONFIDENCE.SEM.VA, results)
results <- easiness(EASINESS.NAR, EASINESS.SEM.VA, results)
results <- enjoyability(ENJOYABILITY.NAR, ENJOYABILITY.SEM.VA, results)
results <- usefulness(USEFULNESS.NAR, USEFULNESS.SEM.VA, results)
cat("\n")

cat("\n3. If the question refers to the narrative, does this improve user experience?")
results <- confidence(CONFIDENCE.NAR.SEM.VA, CONFIDENCE.NAR.VA, results)
results <- easiness(EASINESS.NAR.SEM.VA, EASINESS.NAR.VA, results)
results <- enjoyability(ENJOYABILITY.NAR.SEM.VA, ENJOYABILITY.NAR.VA, results)
results <- usefulness(USEFULNESS.NAR.SEM.VA, USEFULNESS.NAR.VA, results)
cat("\n")

cat("\n3. Does a decision making framing provide better user experience than an analytical framing?")
results <- confidence(CONFIDENCE.NAR.DM, CONFIDENCE.NAR.VA, results)
results <- confidence(CONFIDENCE.NAR.DM.Ext, CONFIDENCE.NAR.VA.Ext, results)
results <- confidence(CONFIDENCE.NAR.DM.Cor, CONFIDENCE.NAR.VA.Cor, results)
results <- confidence(CONFIDENCE.NAR.DM.Com, CONFIDENCE.NAR.VA.Com, results)
results <- easiness(EASINESS.NAR.DM, EASINESS.NAR.VA, results)
results <- easiness(EASINESS.NAR.DM.Ext, EASINESS.NAR.VA.Ext, results)
results <- easiness(EASINESS.NAR.DM.Cor, EASINESS.NAR.VA.Cor, results)
results <- easiness(EASINESS.NAR.DM.Com, EASINESS.NAR.VA.Com, results)
results <- enjoyability(ENJOYABILITY.NAR.DM, ENJOYABILITY.NAR.VA, results)
results <- usefulness(USEFULNESS.NAR.DM, USEFULNESS.NAR.VA, results)
cat("\n")

source("plots.R")
plot          <- plotAllCI3(results)
plot
