# Temporary tests for Pierre -- ignore

library(ggplot2)

dplot <- function(measure, task = NA) {
  
  data <- get.data(measure, task)
  #my.dotplot(data)
  forIllustrator.dotplot(data)
  
}
 
get.data <- function(measure, task = NA) { 
  
  if (is.na(task)) {
    task.suffix <- ""
  } else {
    task.suffix <- paste(".", task, sep="")
  }
  
  data <- NULL
# conditions <- c("ABS.VA", "SEM.VA", "NAR", "NAR.SEM.VA", "NAR.VA", "NAR.DM")
  conditions <- c("ABS.VA", "SEM.VA", "NAR.SEM.VA", "NAR.VA", "NAR.DM")
  for (cond in conditions) {
    variable <- paste(measure, ".", cond, task.suffix, sep = "")
      if (exists (variable)) {
        data <- rbind(data, data.frame(variable = variable, observation = get(variable)))
      }
  }
  
  data
}

my.dotplot <- function(data) {

  ggplot(data, aes(x = variable, y = observation)) +
    scale_fill_grey() + coord_flip() + theme_bw() +
    #theme_classic() +
    scale_x_discrete(limits = rev(levels(data$variable))) +
#    scale_y_continuous(limits = c(0.5,1)) +
    theme(axis.ticks.y = element_blank(), panel.border = element_blank()) +
    geom_dotplot(binaxis = 'y', stackdir = 'center', dotsize = 0.05) +
    stat_summary(fun.y = mean, geom = "point", shape = 16, size = 4, color = "red") +
    stat_summary(fun.data="my_mean_CI", geom="linerange", size = 1, colour = "red") 
}

forIllustrator.dotplot <- function(data) {
  
  ggplot(data, aes(x = variable, y = observation)) +
    scale_fill_grey() + coord_flip() + theme_bw() +
    #theme_classic() +
    scale_x_discrete(limits = rev(levels(data$variable))) +
    scale_y_continuous(breaks = seq(0, 1, 0.1), minor_breaks = NULL) +
   # scale_y_continuous(limits = c(0,1)) +
    theme(axis.ticks.y = element_blank(), panel.border = element_blank()) +
    geom_dotplot(binaxis = 'y', stackdir = 'center', dotsize = 0.0) +
    stat_summary(fun.y = mean, geom = "point", shape = 16, size = 4, color = "black") +
    stat_summary(fun.data="my_mean_CI", geom="linerange", size = 1, colour = "black") 
}

my_mean_CI <- function (x) {
  if (all(sort(unique(x)) == c(0,1))) {
    # Otherwise, use bootstrapping
    triplet <- singlepropCI(sum(x), length(x))
    names(triplet) <- c("y","ymin","ymax")
    triplet
  } else {
    # All 0's and 1's: use proportions
    triplet <- meanCI(x)
    names(triplet) <- c("y","ymin","ymax")
    triplet
  }
}

##################

dplot("ACCURACY")
  dplot("ACCURACY", "Ext")
  dplot("ACCURACY", "Cor")
  dplot("ACCURACY", "Com")

dplot("ATTENTION")

dplot("RECALL")

dplot("CONFIDENCE")
  dplot("CONFIDENCE", "Ext")
  dplot("CONFIDENCE", "Cor")
  dplot("CONFIDENCE", "Com")

dplot("EASINESS")
  dplot("EASINESS", "Ext")
  dplot("EASINESS", "Cor")
  dplot("EASINESS", "Com")

dplot("ENJOYABILITY")

dplot("USEFULNESS")
